CREATE TABLE cmk_ext_ptnr_msgs_cust (
    PARTNER_MESSAGE_CUST_ID     NUMBER(18, 0) ,
    OVERRIDE_STATUS             VARCHAR2(400) ,
    OVERRIDE_STATUS_DATE        TIMESTAMP(6)  ,
    RETENTION_DURATION_TYPE     VARCHAR2(400) ,
    RETENTION_DURATION          NUMBER(4, 0)  ,
    DELIVERY_METHOD_ID          NUMBER(18, 0) ,
    ALT_DELIVERY_METHOD_ID      NUMBER(18, 0) ,
    ENABLE_ATTACHMENTS          CHAR(4)       ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    ATTCH_PROCESS_MTHD          VARCHAR2(256) ,
    MODULE_ID                   VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    TP_IDENTIFIER_XPATH         VARCHAR2(4000),
    TP_TYPE_IDENTIFIER_XPATH    VARCHAR2(4000),
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    ENDPOINT_SUFFIX             VARCHAR2(2048),
    PARTNER_MESSAGE_CUST_ID     NUMBER(18, 0) ,
    OVERRIDE_STATUS             VARCHAR2(400) ,
    OVERRIDE_STATUS_DATE        TIMESTAMP(6)  ,
    RETENTION_DURATION_TYPE     VARCHAR2(400) ,
    RETENTION_DURATION          NUMBER(4, 0)  ,
    DELIVERY_METHOD_ID          NUMBER(18, 0) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER       NUMBER(9, 0)      NOT NULL,
    MODULE_ID                   VARCHAR2(128) ,
    SEED_DATA_SOURCE            VARCHAR2(2048),
    ALT_DELIVERY_METHOD_ID      NUMBER(18, 0) ,
    ENABLE_ATTACHMENTS          CHAR(4)       ,
    TP_IDENTIFIER_XPATH         VARCHAR2(4000),
    TP_TYPE_IDENTIFIER_XPATH    VARCHAR2(4000),
    ATTCH_PROCESS_MTHD          VARCHAR2(256) ,
    ORA_SEED_SET1               VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2               VARCHAR2(4)       NOT NULL,
    ENDPOINT_SUFFIX             VARCHAR2(2048),
    PARTNER_MESSAGE_ID          NUMBER(18, 0) ,
    CONSTRAINT pk_cmk_ext_ptnr_msgs_cust PRIMARY KEY (PARTNER_MESSAGE_CUST_ID, PARTNER_MESSAGE_CUST_ID)
);
